de.esprit.common.type

## Enum ChangeType

- java.lang.Object
- - java.lang.Enum<ChangeType>
  - - de.esprit.common.type.ChangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChangeType>

      public enum ChangeType
      extends java.lang.Enum<ChangeType>

  Defines the type of a change
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DELETE`
    `UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCreate()`
    `boolean` | `isDelete()`
    `boolean` | `isUpdate()`
    `static ChangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final ChangeType CREATE

    - #### UPDATE

          public static final ChangeType UPDATE

    - #### DELETE

          public static final ChangeType DELETE

  - ### Method Detail

    - #### values

          public static ChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChangeType c : ChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChangeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isCreate

          public boolean isCreate()

    - #### isUpdate

          public boolean isUpdate()

    - #### isDelete

          public boolean isDelete()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.